package com.ruoyi.interfaces.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class PtReportFile implements Serializable {
    private String fileId;

    private String code;

    private String relId;

    private String fileType;

    private String filePath;

    private String fileSavename;

    private String fileViewname;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date fileTime;

    private static final long serialVersionUID = 1L;

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId == null ? null : fileId.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getRelId() {
        return relId;
    }

    public void setRelId(String relId) {
        this.relId = relId == null ? null : relId.trim();
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType == null ? null : fileType.trim();
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath == null ? null : filePath.trim();
    }

    public String getFileSavename() {
        return fileSavename;
    }

    public void setFileSavename(String fileSavename) {
        this.fileSavename = fileSavename == null ? null : fileSavename.trim();
    }

    public String getFileViewname() {
        return fileViewname;
    }

    public void setFileViewname(String fileViewname) {
        this.fileViewname = fileViewname == null ? null : fileViewname.trim();
    }

    public Date getFileTime() {
        return fileTime;
    }

    public void setFileTime(Date fileTime) {
        this.fileTime = fileTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", fileId=").append(fileId);
        sb.append(", code=").append(code);
        sb.append(", relId=").append(relId);
        sb.append(", fileType=").append(fileType);
        sb.append(", filePath=").append(filePath);
        sb.append(", fileSavename=").append(fileSavename);
        sb.append(", fileViewname=").append(fileViewname);
        sb.append(", fileTime=").append(fileTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
